/**
 * Get current components from the MDX Context.
 *
 * @returns {MDXComponents}
 *   Current components.
 */
export function useMDXComponents(): MDXComponents;
/**
 * Provider for MDX context.
 *
 * @type {Provider}
 *   Provider.
 */
export const MDXProvider: Provider;
export type MDXComponents = import('mdx/types.js').MDXComponents;
export type Provider = import('vue').Component<Props>;
export type ComponentPublicInstance = import('vue').ComponentPublicInstance;
/**
 * Configuration for `MDXProvider`.
 */
export type Props = {
    /**
     * Additional components to use (optional).
     */
    components?: MDXComponents | null | undefined;
};
